import { Devs } from "@utils/constants";
import definePlugin from "@utils/types";
import showUnsupportedMessage from "./unsupportedMessage";
import { ChannelDeckStore } from "./ChannelDeckStore";
import { UserSettingsContextMenu } from "./components/LauncherContextMenu";

export default definePlugin({
    name: "ChannelDeck",
    description: 'Multi channel "deck" popout windows',
    authors: [Devs.Sqaaakoi],

    start() {
        if (!Vencord?.Api?.Styles?.createStyle) return showUnsupportedMessage();
        ChannelDeckStore.loadData();
    },

    stop() {
        ChannelDeckStore.unloadData();
    },

    contextMenus: {
        "user-settings-cog": UserSettingsContextMenu
    },

    ChannelDeckStore
});
